Loading...
Searching...
No Matches
Dune::Functions::Concept::BasisTree< GridView > Struct Template Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

Inheritance diagram for Dune::Functions::Concept::BasisTree< GridView >:

## Public Member Functions

template<class N>

auto

require (const N &node) -> decltype(requireConcept< std::conditional_t< Dune::TypeTree::Concept::LeafTreeNode< N >, LeafBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::UniformInnerTreeNode< N > and hasStaticDegree< N >(), PowerBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::UniformInnerTreeNode< N > and not hasStaticDegree< N >(), DynamicPowerBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::StaticDegreeInnerTreeNode< N > and(not Dune::TypeTree::Concept::UniformInnerTreeNode< N >), CompositeBasisNode< GridView >, BasisNode >, N >())

## Static Public Member Functions

template<class N>
static constexpr bool | hasStaticDegree ()

## Member Function Documentation

## hasStaticDegree()

template<class GridView>
template<class N>

constexpr bool Dune::Functions::Concept::BasisTree< GridView >::hasStaticDegree | ( |  | ) |

inline static constexpr

## require()

template<class GridView>
template<class N>

auto Dune::Functions::Concept::BasisTree< GridView >::require

(

const N &

node

)

->decltype(requireConcept< std::conditional_t< Dune::TypeTree::Concept::LeafTreeNode< N >, LeafBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::UniformInnerTreeNode< N >andhasStaticDegree< N >(), PowerBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::UniformInnerTreeNode< N >andnothasStaticDegree< N >(), DynamicPowerBasisNode< GridView >, BasisNode >, N >(), requireConcept< std::conditional_t< Dune::TypeTree::Concept::StaticDegreeInnerTreeNode< N >and(notDune::TypeTree::Concept::UniformInnerTreeNode< N >), CompositeBasisNode< GridView >, BasisNode >, N >())

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh